용어집에서 지원하지 않는 용어 로캘

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 422 Unprocessable Content로 응답합니다. type는 https://lingo.dev/docs/api/errors/glossary-term-locale-not-covered입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

"<text>"을(를) 저장할 수 없습니다. 로캘 "<locale>"은(는) 이 용어집이 지원하는 로캘(<sourceCoverage>)에 포함되지 않습니다. 지원되는 로캘 중 하나를 사용하거나, 이 로캘을 용어집의 원문 지원 범위에 추가하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.

필드유형
textstring
localestring
sourceCoveragestring[]

예시#

json
{
  "detail": "Cannot save \"<text>\". Its locale \"<locale>\" is not one this glossary covers (<sourceCoverage>). Use one of those locales, or add this one to the glossary's source coverage.",
  "text": "<text>",
  "locale": "<locale>",
  "sourceCoverage": [
    "<sourceCoverage>"
  ],
  "type": "https://lingo.dev/docs/api/errors/glossary-term-locale-not-covered",
  "status": 422,
  "title": "Glossary term locale not covered"
}

이 오류를 반환하는 엔드포인트#

  • PATCH /v2/glossaries/{glossaryId}/terms/{id}
  • POST /v2/glossaries/{glossaryId}/terms
  • POST /v2/glossaries/{glossaryId}/terms/create-many